//! # StringQB
//!
//! A query builder using mostly strings, with methods following common SQL syntax
#![warn(missing_docs)]
// Temporarily silence unused variables and uncalled code warnings
// @TODO remove when most of the code is implemented
#![allow(dead_code)]
#![allow(unused_variables)]

#[macro_use]
extern crate lazy_static;

pub mod drivers;
pub mod enums;
pub mod fns;
pub mod query_builder;

pub mod prelude {
    //! Re-exports important traits and types.
    pub use crate::enums::*;
    pub use crate::drivers::{DatabaseDriver, DefaultDriver};
    pub use crate::query_builder::QueryBuilder;
}
